//------------------------------------------------------------------------------
// <auto-generated>
//     Este código se generó a partir de una plantilla.
//
//     Los cambios manuales en este archivo pueden causar un comportamiento inesperado de la aplicación.
//     Los cambios manuales en este archivo se sobrescribirán si se regenera el código.
// </auto-generated>
//------------------------------------------------------------------------------

namespace EMartVG.Models
{
    using System;
    using System.Collections.Generic;
    
    public partial class Categorias
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Categorias()
        {
            this.Producto = new HashSet<Producto>();
            this.SuvNavCategorias = new HashSet<SuvNavCategorias>();
        }
    
        public int Id_Categoria { get; set; }
        public string Nombre_Categoria { get; set; }
        public string Descripcion_Categoria { get; set; }
        public Nullable<int> Id_Estado_Categorias { get; set; }
    
        public virtual Estado_Categorias Estado_Categorias { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Producto> Producto { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<SuvNavCategorias> SuvNavCategorias { get; set; }
    }
}
